Subject: Re: [PATCH] bash: Add long option completion for 'git send-email'

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 15 Jul 2008 04:58:56 +0000

Junio C Hamano <[email-masked]> wrote:
> "Shawn O. Pearce" <[email-masked]> writes:
> 
> > Hmm.  With dash form commands gone in 1.6 we should remove these.
> >
> > But I suspect this completion patch could be shipped in the next
> > 1.5.6 maint release as its really quite trivial.  Junio, any comment
> > on that?
> 
> Yeah, it is trivial but does it deserve "bugfix -- we need to deliver this
> change to the end users, otherwise they will suffer" label?  Probably not.

Not really, but we have shipped new completion functionality (missing
--graph option to git-log) in maint releases in recent history.

If it was me maintaining git.git, I'd probably toss this into maint.
But I think I have a more aggressive personality than you, and am
more willing to take a risk.  Users frequently don't like such risk.

I defer to your wise judgement.  Given prior statements about what
goes where, you are being consistent to say this should go in 1.6.
In which case I suggest Teemu should drop that last hunk as we
should really drop that entire block of code from the script.

-- 
Shawn.